View Issue Details

IDProjectCategoryView StatusLast Update
0035086FPCRTLpublic2019-02-16 09:41
ReporterstoppokAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.4Product Build 
Target Version3.2.0Fixed in Version3.3.1 
Summary0035086: Exception in ObjectTextToBinary / TParser
DescriptionTParser does not set input-stream position correctly after parsing, it's not possible to use this procedure in a loop like in Delphi

Abstract Code:

  * Create a List with two objects
  * Use ObjectBinaryToText to get a string with these two objects
  * BUG: It's not possible to recreate teh list with ObjectTextToBinary

See example
TagsNo tags attached.
Fixed in Revision41331
FPCOldBugId
FPCTarget
Attached Files

Activities

stoppok

2019-02-14 17:52

reporter  

rtl-bug_objecttexttobinary.zip (2,944 bytes)

Michael Van Canneyt

2019-02-16 09:41

administrator   ~0114170

I fixed this, but I am not sure the fix is correct.
IMHO the bug is in ObjectTextToBinary.

Please, next time create a command-line program to reproduce such low-level bugs.
To test this, I need to recompile all of FPC, all of Lazarus to use the new FPC,
all this is not needed for testing the classes unit...

Issue History

Date Modified Username Field Change
2019-02-14 17:52 stoppok New Issue
2019-02-14 17:52 stoppok File Added: rtl-bug_objecttexttobinary.zip
2019-02-15 13:53 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-02-15 13:53 Michael Van Canneyt Status new => assigned
2019-02-16 09:41 Michael Van Canneyt Fixed in Revision => 41331
2019-02-16 09:41 Michael Van Canneyt Note Added: 0114170
2019-02-16 09:41 Michael Van Canneyt Status assigned => resolved
2019-02-16 09:41 Michael Van Canneyt Fixed in Version => 3.3.1
2019-02-16 09:41 Michael Van Canneyt Resolution open => fixed
2019-02-16 09:41 Michael Van Canneyt Target Version => 3.2.0